%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           lcms
Version:        1.16
Release:        3
Summary:        Color Management System

Group:          Applications/Productivity
License:        MIT
URL:            http://www.littlecms.com/
Source0:        http://www.littlecms.com/lcms-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libjpeg-devel
BuildRequires:  libtiff-devel
BuildRequires:  pkgconfig
BuildRequires:  python-devel
BuildRequires:  swig >= 1.3.12
BuildRequires:  zlib-devel
BuildRequires:  automake, autoconf, libtool

Provides:       littlecms = %{version}-%{release}

Patch1:         lcms-1.16-python-lib64.patch

%description
LittleCMS intends to be a small-footprint, speed optimized color management
engine in open source form.


%package     -n python-%{name}
Summary:        Python interface to LittleCMS
Group:          Development/Libraries
Requires:       python
Provides:       python-littlecms = %{version}-%{release}

%description -n python-%{name}
Python interface to LittleCMS.


%package        devel
Summary:        Development files for LittleCMS
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig
Provides:       littlecms-devel = %{version}-%{release}

%description    devel
Development files for LittleCMS.


%prep
%setup -q

%patch1 -p1 -b .python-lib64
find . -name \*.[ch] | xargs chmod -x

%build
autoreconf
%configure --with-python
(cd python; ./swig_lcms)
make %{?_smp_mflags}


%install
rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT}
chmod 0644 AUTHORS COPYING ChangeLog NEWS README.1ST doc/TUTORIAL.TXT doc/LCMSAPI.TXT
find ${RPM_BUILD_ROOT} -type f -name "*.la" -exec rm -f {} ';'
rm ${RPM_BUILD_ROOT}%{_libdir}/*.a


%clean
rm -rf ${RPM_BUILD_ROOT}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README.1ST doc/TUTORIAL.TXT
%{_bindir}/*
%{_libdir}/*.so.*
%{_mandir}/man1/*

%files devel
%defattr(-,root,root,-)
%doc doc/LCMSAPI.TXT
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc

%files -n python-%{name}
%defattr(-,root,root,-)
%{python_sitearch}/lcms.py*
%{python_sitearch}/_lcms.so
%exclude %{python_sitearch}/_lcms.a

%changelog
* Thu Feb  8 2007 Alexander Larsson <alexl@redhat.com> - 1.16-3.fc7
- Remove requirement on python_sitearch dir (#225981)
- Don't ship with executable .c/.h files

* Mon Feb  5 2007 Alexander Larsson <alexl@redhat.com> - 1.16-2
- Run swig during build to fix warnings in generated code
- Fix build on 64bit

* Mon Feb  5 2007 Alexander Larsson <alexl@redhat.com> - 1.16-1
- Update to 1.16
- Specfile cleanups (#225981)
- Remove static libs

* Thu Dec  7 2006 Jeremy Katz <katzj@redhat.com> - 1.15-2
- rebuild against python 2.5

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> 
- rebuild

* Mon Feb 13 2006 Jesse Keating <jkeating@redhat.com> - 1.15-1.2.1
- rebump for build order issues during double-long bump

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.15-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.15-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Mon Jan  9 2006 Alexander Larsson <alexl@redhat.com> - 1.15-1
- Move from extras to core, update to 1.15

* Sun May 22 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 1.14-3
- Fix FC4 build (#114146).

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Thu May 20 2004 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:1.14-1
- Update to 1.14.

* Thu May 20 2004 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:1.13-0.fdr.1
- Updated to 1.13.

* Mon Feb 16 2004 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:1.12-0.fdr.2
- Spec patch from Ville Skyttä.
- New sub-package: python-lcms.

* Sun Dec 21 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:1.12-0.fdr.1
- Updated to 1.12.
- BuildReq swig >=1.3.12.

* Sun Nov 09 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:1.11-0.fdr.3
- Fixed doc attributes.

* Sat Oct 11 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:1.11-0.fdr.2
- Renamed to lcms to match upstream.
- Provides: littlecms.
- Fixed doc attributes.
- Excluding empty dir %%{_libdir}/python2.2/

* Thu Oct 09 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:1.11-0.fdr.1
- Initial RPM release.
